DBusDataSlotList Struct Reference

Data structure that stores the actual user data set at a given slot. More...

`#include <dbus-dataslot.h>`

## Data Fields

DBusDataSlot * | slots
| Data slots.
int | n_slots
| Slots we have storage for in data_slots.

## Detailed Description

Data structure that stores the actual user data set at a given slot.

Definition at line 71 of file dbus-dataslot.h.

## Field Documentation

## n_slots

int DBusDataSlotList::n_slots

Slots we have storage for in data_slots.

Definition at line 74 of file dbus-dataslot.h.

Referenced by _dbus_data_slot_list_free(), _dbus_data_slot_list_get(), _dbus_data_slot_list_init(), and _dbus_data_slot_list_set().

## slots

DBusDataSlot* DBusDataSlotList::slots

Data slots.

Definition at line 73 of file dbus-dataslot.h.

Referenced by _dbus_data_slot_list_clear(), _dbus_data_slot_list_free(), _dbus_data_slot_list_get(), _dbus_data_slot_list_init(), and _dbus_data_slot_list_set().

The documentation for this struct was generated from the following file:

- dbus-dataslot.h